<?php
// ?Id?

/**
 * Return a description of the profile for the initial installation screen.
 *
 * @return
 *   An array with keys 'name' and 'description' describing this profile,
 *   and optional 'language' to override the language selection for
 *   language-specific profiles, e.g., 'language' => 'fr'.
 */
function dsnf_install_profile_details() {
  return array(
    'name' => 'Drupal Social Network Framework',
    'description' => 'Select this profile to quickly set up social network features for Drupal',
  );
}

/**
 * Return an array of the modules to be enabled when this profile is installed.
 *
 * @return
 *   An array of modules to be enabled.
 */
function dsnf_install_profile_modules() {
  $core = array(
    'color', 'comment', 'dblog', 'forum', 'help', 'locale', 'menu', 'path', 'poll',
    'profile', 'search', 'statistics', 'syslog', 'taxonomy', 'tracker', 'update', 'upload',
    // These have module dependencies.
    'forum', 'translation',
  );
  $contrib = array();
  $custom = array();
  return array_merge($core, $contrib, $custom);
}

/**
 * Return a list of tasks that this profile supports.
 *
 * @return
 * A keyed array of tasks the profile will perform during the final stage.
 * The keys of the array will be used internally, while the values will be
 * displayed to the user in the installer task list.
 */
function dsnf_install_profile_task_list() {
  return array(
    'temp' => st('Skip this step'),
  );
}

/**
 * Perform final installation tasks for this installation profile.
 */
function university_profile_tasks(&$task, $url) {
  switch ($task) {
    case 'profile':
      // Set up all the things a default installation profile has.
      drupal_load('profile', 'default');
      default_profile_tasks($task, $url);
      break;
    case 'temp':
    default:
      // Return control to the installer.
      $task = 'profile-finished';
  }
}
